Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168024 - End tags autocompletion doesn't work
End tags autocompletion doesn't work
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 11:07 UTC by Marek Fukala
Modified: 2009-07-15 13:54 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2009-07-02 11:07:54 UTC
<di| + CC + enter => <div>|, should be <div>|</div>

also <div>| + CC doesn't offer the end tag.

this is IMHO a serious productivity issue which should be fixed in the 6.7 patch #1. QE, do you agree?
Comment 1 Jindrich Sedek 2009-07-02 11:43:40 UTC
also <div>| + CC doesn't offer the end tag. - this works well in 6.7 ;)

<di| + CC + enter => <div>|, should be <div>|</div> - Might be, but the original decision about this behavior was to 
show CC containing end tag and not to complete end tag directly... at least for optional end tags, this behavior should 
hold; 

but showing end tag completion directly after completing start tag would be OK
Comment 2 Filip Zamboj 2009-07-02 13:41:21 UTC
@mfukala: SURE. Would be great to have this in patch1 
Comment 3 Marek Fukala 2009-07-02 14:08:09 UTC
<di| + CC + enter => <div>| + "</div>" in cc autopopuped + enter => <div>|</div>. 

I mean it  this way, sorry for the confusion. The original approach with the end tag being autoinserted many people
really heated ;-).

I'll fix it in trunk.

Comment 4 Marek Fukala 2009-07-08 16:40:03 UTC
I am sorry guys, I didn't manage to make the patch to the deadline. Is there going to be patch2?
Comment 5 Marek Fukala 2009-07-09 11:06:33 UTC
fixed in web-main#57ab7d13d909

Can we still put it to the patch #1????? I belive this improves the tags writing productivity a lot and moreover
shouldn't be that demanding to test it.

I am putting the SW 67patch-candidate back, feel free to remove it if you insist on not putting this bugfix to the patch.

I am sorry I didn't manage to fix it yesterday as I promised :-(((
Comment 6 Marian Mirilovic 2009-07-09 11:20:42 UTC
I think so ... Filip please verify ASAP.
Comment 7 Filip Zamboj 2009-07-09 12:50:25 UTC
this issue is verified and can be put to patch 

I found another issues, however. I'll submit new bugs for them. 
Comment 8 Quality Engineering 2009-07-10 05:43:20 UTC
Integrated into 'main-golden', will be available in build *200907100200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/57ab7d13d909
User: Marek Fukala <mfukala@netbeans.org>
Log: #168024 -  End tags autocompletion doesn't work
Comment 9 pgebauer 2009-07-10 11:48:29 UTC
The changeset above isn't applicable on the release67_fixes branch.
Could you please provide a valid one?
Comment 10 Marek Fukala 2009-07-10 12:53:24 UTC
The changeset needs to be merged manually with 67 repo since there were some bigger code changes just after 67 clonning.
I'll fix it in your 67 clone and push it if you agree.
Comment 11 pgebauer 2009-07-10 12:58:52 UTC
Go ahead.
Comment 12 Marek Fukala 2009-07-10 13:35:37 UTC
fixed in release67_fixes#e8863601a28b.

QE please doublecheck in 67 build since the fix is partially different than in trunk!!!
Comment 13 Filip Zamboj 2009-07-10 15:36:10 UTC
do we have any build already available? otherwise I have to clone ... and that's gonna take a while. 
Comment 14 Jindrich Sedek 2009-07-15 13:54:49 UTC
verified in 6.7.1
NetBeans IDE 6.7.1 RC (Build 200907150227)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo